net.sf.jasperreports.engine.analytics.dataset

## Interface DataLevelBucket

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    BaseDataLevelBucket, DesignDataLevelBucket

      public interface DataLevelBucket
      extends JRCloneable

  Version:
    $Id: DataLevelBucket.java 5970 2013-03-12 10:33:19Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DataLevelBucketProperty>` | `getBucketProperties()`
    `JRExpression` | `getComparatorExpression()` Returns the comparator expression.
    `JRExpression` | `getExpression()` Returns the grouping expression.
    `BucketOrder` | `getOrder()` Returns the bucket sorting type.
    `SortOrderEnum` | `getOrderValue()` Deprecated. replaced by `getOrder()`
    `java.lang.Class<?>` | `getValueClass()` Returns the class of the bucket value.
    `java.lang.String` | `getValueClassName()` Returns the string name of the bucket value class.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getValueClass

          java.lang.Class<?> getValueClass()

      Returns the class of the bucket value. Any class is allowed as long as it is in the classpath at compile and run time.
      Returns:
        a `Class` instance representing the bucket value class

    - #### getValueClassName

          java.lang.String getValueClassName()

      Returns the string name of the bucket value class.

    - #### getOrderValue

          @Deprecated
          SortOrderEnum getOrderValue()

      Deprecated. replaced by `getOrder()`
      Returns the bucket sorting type.

      The possible values are:

      - `SortOrderEnum.ASCENDING`
      - `SortOrderEnum.DESCENDING`
      Returns:
        the bucket sorting type

    - #### getOrder

          BucketOrder getOrder()

      Returns the bucket sorting type.

      The possible values are:

      - `BucketOrder.ASCENDING`
      - `BucketOrder.DESCENDING`
      - `BucketOrder.NONE`
      Returns:
        the bucket sorting type
      See Also:
        `getComparatorExpression()`

    - #### getExpression

          JRExpression getExpression()

      Returns the grouping expression.
      Returns:
        the grouping expression

    - #### getComparatorExpression

          JRExpression getComparatorExpression()

      Returns the comparator expression.

      The result of this expression is used to sort the buckets, in ascending or descending order (given by `getOrder()`. If the order type is `BucketOrder.NONE`, no sorting will be performed and the comparator expression will be ignored.

      If no comparator expression is specified, the natural order will be used.

      If the bucket has an order by expression, the comparator will be used to compare values as produced by that expression.

      Returns:
        the comparator expression

    - #### getBucketProperties

          java.util.List<DataLevelBucketProperty> getBucketProperties()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com